package com.bonus.core.customer.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@ApiModel("组织机构表")
@Data
public class CustOrgPageDTO {
   @ApiModelProperty("机构id")
   private Long orgId;
   @ApiModelProperty("关键字（组织名称、编号）")
   private String keyword;
   @ApiModelProperty("机构全路径id")
   private String orgFullId;
   @ApiModelProperty("数据权限部门id集合")
   private List<Long> orgIdList;
   @ApiModelProperty("每页显示条数")
   private Long size;
   @ApiModelProperty("当前页")
   private Long current;
   @ApiModelProperty("有效日期")
   private LocalDate endDate;

   public Long getSize() {
      return this.size == null ? 10L : this.size;
   }

   public Long getCurrent() {
      return this.current == null ? 1L : this.current;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public String getOrgFullId() {
      return this.orgFullId;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setKeyword(final String keyword) {
      this.keyword = keyword;
   }

   public void setOrgFullId(final String orgFullId) {
      this.orgFullId = orgFullId;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setSize(final Long size) {
      this.size = size;
   }

   public void setCurrent(final Long current) {
      this.current = current;
   }

   public void setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
   }



}
